package com.palmnest.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;


@Entity
@Table(name = "tb_dictionary_group")
public class ElementGroup extends AbstractElementGroup implements
		java.io.Serializable {

	// Constructors

	/**
	 *
	 */
	private static final long serialVersionUID = -4262818393209319656L;

	/**
	 * default constructor
	 */
	public ElementGroup() {
	}

	private String  ExtraData;//成员
	private Integer isOrgCustom;//是否开启项目自定义 0-未开启 1-开启
	private Long    itemId;// 所属功能
	private String  funcName;// 所属功能名称

	@Transient
	public String getFuncName() {
		return funcName;
	}

	public void setFuncName(String funcName) {
		this.funcName = funcName;
	}

	public void setExtraData(String extraData) {
		ExtraData = extraData;
	}

	@Transient
	public String getExtraData() {
		return ExtraData;
	}

	@Column(name = "isorgcustom")
	public Integer getIsOrgCustom() {
		return isOrgCustom;
	}

	public void setIsOrgCustom(Integer isOrgCustom) {
		this.isOrgCustom = isOrgCustom;
	}

	@Column(name = "itemid")
	public Long getItemId() {
		return itemId;
	}

	public void setItemId(Long itemId) {
		this.itemId = itemId;
	}
}
